package micro;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.io.LineNumberReader;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import repast.simphony.engine.environment.RunEnvironment;
import repast.simphony.engine.schedule.ScheduleParameters;
import repast.simphony.engine.schedule.ScheduledMethod;

public class Utils {


	public static int getYearFromTick(){
		//I've added the first year because it cause troubles when. make it a constant
		return (int) (ParametersManager.getFirstYear()+RunEnvironment.getInstance().getCurrentSchedule().getTickCount()/12);
	}

	

	//parsing file 
	public static double getClass0(int year){
		String csvFile = "misc/surveyData.csv";
		BufferedReader br = null;
		String line = "";
		String cvsSplitBy = ";";
		double class0Amount = 0.0;
		int yearFile= 0; 

		try {
			br = new BufferedReader(new FileReader(csvFile));
			while ((line = br.readLine()) != null) {

				// use comma as separator
				String[] class0Indx = line.split(cvsSplitBy);
				yearFile = Integer.parseInt(class0Indx[0]);
				if(year == yearFile){
					class0Amount =  Double.parseDouble(class0Indx[1]);					
				}
			}

		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		} finally {
			if (br != null) {
				try {
					br.close();
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
		}


		return class0Amount;
	}


}
