#SSplotSummaryF <- function(replist,yrs="all",Ftgt=NA) {
     #plots the summary F (or harvest rate) as set up in the starter file
#    #needs a lot of work to be generalized
#    if(yrs=="all") {yrs <- replist$startyr:replist$endyr}
#    Ftot <- replist$derived_quants[match(paste("F_",yrs,sep=""),replist$derived_quants$LABEL),]
#    uppFtot <- Ftot$Value + 1.96*Ftot$StdDev
#    lowFtot <- Ftot$Value - 1.96*Ftot$StdDev
#    Fmax <- max(c(uppFtot,Ftgt+0.01),na.rm=T)
#    plot(as.numeric(substring(Ftot$LABEL,3,6)),Ftot$Value,pch=16,type="p",xlab="Year",ylab="Summary harvest rate",ylim=c(0,Fmax),cex.lab=1.0,cex.axis=1.0,cex=0.7)
#    abline(h=Ftgt,col="red")
#    segments(as.numeric(substring(Ftot$LABEL,3,6)),uppFtot,as.numeric(substring(Ftot$LABEL,3,6)),lowFtot,col=gray(0.5))
#}


library(r4ss)
#update_r4ss_files()

out <- SS_output(dir="C:/Sole 17 2015/SOLE_SS3_3_FISHERIESage0_10_SelOK_phase early rec dv - FINAL",covar=T,verbose=F)
SS_plots(out,uncertainty=T,png=F) ## png allows you to save them as png files in a dedicated folder or use pdf (,pdf=T)

#You could use these as the target, at which the Ftgt argument in the function will draw a line
    #Fbtgt <- base$derived_quants[substring(base$derived_quants$LABEL,1,9)=="Fstd_Btgt","Value"]
    #Fspr <- base$derived_quants[substring(base$derived_quants$LABEL,1,11)=="Fstd_SPRtgt","Value"]

ht <- 4; wd<- 7
windows(height=ht,width=wd)
par(mfrow=c(1,1),mar=c(4,4,1,1)+0.1,las=1)
SSplotSummaryF(out)  #this plots all years and no horizontal line for a reference
