#C control file for a Solea  GSA 17 (1 Fishery 1 Survey)
1  #_N_Growth_Patterns  NO SUB-STOCK
1 #_N_Morphs_Within_GrowthPattern NO SUB-STOCK 

0 #_Nblock_Patterns        Ciascun block consiste in 2 regime shift per esempio Linf cambia tra il 1990 e il 2000 (Blocco 1) e 2001 e2010 (Blocco2)
#2 #_Nblock_Patterns 
# 1 3 # blocks per pattern
# 1981 2011 # periodo del blocco 1 per il parametro x tipo selettivita' dal 1981 in poi maglia piu' grande
# 1966 1970 1971 1980 1993 2011 # 3 period1 del blocco 2 per il parametro y tipo la M varia nei vari periodi in base alla abbondanza di un predatore

 0.5 #_fraction of female   serve per il calcolo della SSB divide la biomassa per 2 considerando solo le femmine
 3 #_natural Mortality _type:_0=1Parm; 1=N_breakpoints;_2=Lorenzen;_3=agespecific;_4=agespec_withseasinterpolate 
0.70  0.35  0.28  0.25  0.23 0.22 0.21  0.20  0.19 0.18 0.17
1 # GrowthModel: 1=vonBert with L1&L2; 2=Richards with L1&L2; 3=not implemented; 4=not implemented
0 #_Growth_Age_for_L1    al posto di to
999 #_Growth_Age_for_L2 (999 to use as Linf)
0 #_SD_add_to_LAA (set to 0.1 for SS2 V1.x compatibility)  sempre zero
0 #_CV_Growth_Pattern:  0 CV=f(LAA); 1 CV=F(A); 2 SD=F(LAA); 3 SD=F(A); 4 logSD=F(A)

5 #_maturity_option:  1=length logistic; 2=age logistic; 3=read age-maturity matrix by growth_pattern; 4=read age-fecundity; 5=read fec and wt from wtatage.ss
1 #_First_Mature_Age
1 #_fecundity option:(1)eggs=Wt*(a+b*Wt);(2)eggs=a*L^b;(3)eggs=a*Wt^b; (4)eggs=a+b*L; (5)eggs=a+b*W
0 #_hermaphroditism option:  0=none; 1=age-specific fxn

1 #_parameter_offset_approach (1=none, 2= M, G, CV_G as offset from female-GP1, 3=like SS2 V1.x)
2 #_env/block/dev_adjust_method (1=standard; 2=logistic transform keeps in base parm bounds; 3=standard w/ no bound check)

#_growth_parms               PER QUESTE COSE GUARDARE MANUALE
#LO   HI   INIT  PRIOR PR_type SD  PHASE  env-var use_dev dev_minyr dev_maxyr dev_stddev Block Block_Fxn
# 0.10 0.75 0.35   0.1   -1      0.8 -3     0       0       0         0         0          0     0        #NatM_p_1_
  0    10   5    6     0      10   -2     0       0       0         0         0          0     0        #L_at_Amin_
  35  45    39.6     7     0      10   -4     0       0       0         0         0          0     0        #L_at_Amax
 0.30 0.40  0.36  0.03   0      0.8  -4     0       0       0         0         0          0     0        # VonBert_K
 0.05 0.25 0.1   0.1   -1      0.8  -3     0       0       0         0         0          0     0        # CV_young
 0.1 0.15 0.1   0.1   -1      0.8  -3     0       0       0         0         0          0     0        # CV_old

#LO   HI   INIT      PRIOR     PR_type SD   PHASE  env-var use_dev dev_minyr dev_maxyr dev_stddev Block Block_Fxn
 -3   3    0.007  0.007       -1      0.8  -99    0       0       0         0         0          0     0        # Wtlen_1_a
 -3   4    3.0368      3.0368      -1      0.8  -99    0       0       0         0         0          0     0        # Wtlen_2_b
 24  30    25.8        25.8    -1      0.8  -99    0       0       0         0         0          0     0        # Mat50%_Fem
 -3   3    -0.25     -0.25     -1      0.8  -99    0       0       0         0         0          0     0        # Mat_slope_Fem
 -3   3    1         1         -1      0.8  -99    0       0       0         0         0          0     0        # Eggs/kg_inter_Fem
 -3   3    0         0         -1      0.8  -99    0       0       0         0         0          0     0        # Eggs/kg_slope_wt_Fem

 
#LO HI INIT PRIOR PR_type SD PHASE env-var use_dev dev_minyr dev_maxyr dev_stddev Block Block_Fxn 
 0  0  0    0     -1      0  -99   0       0       0         0         0          0     0        # RecrDist_GP_1
 0  0  0    0     -1      0  -99   0       0       0         0         0          0     0        # RecrDist_Area_1
 0  0  0    0     -1      0  -99   0       0       0         0         0          0     0        # RecrDist_Seas_1
 0  0  0    0     -1      0  -99   0       0       0         0         0          0     0        # CohortGrowDev

#_seasonal_effects_on_biology_parms
#femwtlen1 femwtlen2 mat1 mat2 fec1 fec2 Malewtlen1 malewtlen2 L1 K
 0         0         0    0    0    0    0          0          0  0

#_Spawner-Recruitment
3 #_SR_function: 2=Ricker; 3=std_B-H; 4=SCAA; 5=Hockey; 6=B-H_flattop; 7=survival_3Parm
#LO  HI  INIT PRIOR PR_type SD   PHASE
 3   30  10.6 10.3 -1     5      1     # SR_LN(R0)    mettendo opzione 4 basta definire solo il reclutamento all'equilibrio (R0)
 0.2 1   0.8  0.7   -1      0.05  -2     # SR_BH_steep
 0   2   0.2  0.8   -1      0.8   -2  # SR_sigmaR
 -5  5   0.1  0     -1      1    -99   # SR_envlink
 -5  5   0    0     -1      1    -99 # SR_R1_offset
 0   0   0    0     -1      0    -99 # SR_autocorr

0 #_SR_env_link
0 #_SR_env_target_0=none;1=devs;_2=R0;_3=steepness
1 #do_recdev:  0=none; 1=devvector; 2=simple deviations    reccomended = 1
2005 # first year of main recr_devs; early devs can preceed this era
2012 # last year of main recr_devs; forecast devs start in following year
2 #_recdev phase 
1 # (0/1) to read 13 advanced options
1980 #_recdev_early_start (0=none; neg value makes relative to recdev_start)
-3 #_recdev_early_phase
0 #_forecast_recruitment phase (incl. late recr) (0 value resets to maxphase+1)
1 #_lambda for Fcast_recr_like occurring before endyr+1
2002 #_last_early_yr_nobias_adj_in_MPD
2005 #_first_yr_fullbias_adj_in_MPD
2012 #_last_yr_fullbias_adj_in_MPD
2013 #_first_recent_yr_nobias_adj_in_MPD
0.8 #_max_bias_adj_in_MPD (-1 to override ramp and set biasadj=1.0 for all estimated recdevs)
0 #_period of cycles in recruitment (N parms read below)
-5 # min rec_dev
5 # max rec_dev
0 #_read_recdevs



#Fishing Mortality info 
1  # F ballpark for tuning early phases
-2009 # F ballpark year (neg value to disable)
3 # F_Method:  1=Pope; 2=instan. F; 3=hybrid (hybrid is recommended)
3  # max F or harvest rate, depends on F_Method
6     # N iterations for tuning F in hybrid method (recommend 3 to 7)
#0.8
#2
#0

#_initial_F_parms
#LO HI INIT PRIOR PR_type SD PHASE
 0  1  0.1    0.1  -1       99 -2 # InitF_1FISHERY1
 0  1  0.1  0.1  -1       99  -2 # InitF_1FISHERY1
 0  1  0.05  0.1  -1       99 -2 # InitF_1FISHERY1
#_Q_setup
# Q_type options:  <0=mirror, 0=median_float, 1=mean_float, 2=parameter, 3=parm_w_random_dev, 4=parm_w_randwalk, 5=mean_unbiased_float_assign_to_parm
#Den-dep  env-var  extra_se  Q_type
 0        0        0         0      #1 FISHERY1  la catchiability qui non deve esseere settata per la pesca
 0        0        0         0      #1 FISHERY1  la catchiability qui non deve esseere settata per la pesca
 0        0        0         0      #1 FISHERY1  la catchiability qui non deve esseere settata per la pesca
 0        0        1        0      #2 SURVEY1


#_Q_parms(if_any)
#LO HI  INIT PRIOR PR_type SD PHASE
 0.0001  1   0.1  0    -1      0  1    #Extra SD on survey index

#_size_selex_types
#Pattern Discard Male Special
 0       0       0    0      # 1 FISHERY1
 0       0       0    0      # 1 FISHERY1
 0       0       0    0      # 1 FISHERY1
 0       0       0    0      # 2 SURVEY1  #selex fixed at 1

#
#_age_selex_types
#Pattern Discard Male Special
 #Pattern Discard Male Special
 17      0       0    0 # 1 FISHERY1 
 17      0       0    0 # 1 FISHERY1  
 17      0       0    0 # 1 FISHERY1   
 17      0       0    0 # 2 SURVEY1   
 
#LO     HI   INIT  PRIOR  PR_type SD   PHASE env-var use_dev dev_minyr dev_maxyr dev_stddev Block Block_Fxn
-3	3	0.4	-1	-1	0.01	1	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	2	0	0	0	0	0	0	0
-3	3	-1.2	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	-0.8	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	-10	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0


#Rapido&Trawl
-3	3	0.1	-1	-1	0.01	1	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	2	0	0	0	0	0	0	0
-3	3	-0.8	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	-0.5	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	-10	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0


#GillnetCroatia
-3	3	0	-1	-1	0.01	-99	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-99	0	0	0	0	0	0	0
-3	5	0	-1	-1	0.01	1	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	2	0	0	0	0	0	0	0
-3	3	-0.5	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	-0.5	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	-10	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0	


#Survey 1 
-3	3	0.1	-1	-1	0.01	1	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	2	0	0	0	0	0	0	0
-3	3	-0.6	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	-0.4	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	-10	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0
-3	3	0	-1	-1	0.01	-2	0	0	0	0	0	0	0


# Tag loss and Tag reporting parameters
0  # TG_custom:  0=no read; 1=read if tags exist

1 #_Variance_adjustments_to_input_values
#_fleet: 1 2 3 4
  0 0 0 0 #_add_to_survey_CV
  0 0 0 0 #_add_to_discard_stddev
  0 0 0 0 #_add_to_bodywt_CV
  1 1 1 1#_mult_by_lencomp_N
  0.1 0.1 0.1 0.95 #_mult_by_agecomp_N
  1 1 1 1  #_mult_by_size-at-age_N
#
4 #_maxlambdaphase
1 #_sd_offset
#
1 # number of changes to make to default Lambdas (default value is 1.0)
# Like_comp codes:  1=surv; 2=disc; 3=mnwt; 4=length; 5=age; 6=SizeFreq; 7=sizeage; 8=catch; 
# 9=init_equ_catch; 10=recrdev; 11=parm_prior; 12=parm_dev; 13=CrashPen; 14=Morphcomp; 15=Tag-comp; 16=Tag-negbin
#like_comp fleet/survey  phase  value  sizefreq_method
 9 1 1 0 1

0 # (0/1) read specs for more stddev reporting 

999

